Accounts

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
GET
PATCH
DELETE

Create accounts relationships end

Path parameters

  • account_id
    string
  • id
    string

Response


Example request

POST /api/projects/:project_id/accounts/:account_id/relationships/:id/end
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/accounts/:account_id/relationships/:id/end/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"definition": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"is_single_holder": true
},
"user": {
"id": 0,
"email": "user@example.com"
},
"started_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z"
}

Retrieve accounts

Required API key scopes

account:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/accounts/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/accounts/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"external_id": "string",
"properties": {
"csm": {
"id": 0,
"email": "string"
},
"account_executive": {
"id": 0,
"email": "string"
},
"account_owner": {
"id": 0,
"email": "string"
},
"stripe_customer_id": "string",
"hubspot_deal_id": "string",
"billing_id": "string",
"sfdc_id": "string",
"zendesk_id": "string",
"slack_channel_id": "string",
"usage_dashboard_link": "string"
},
"tags": [
"string"
],
"notebooks": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"updated_at": "2019-08-24T14:15:22Z"
}

Update accounts

Required API key scopes

account:write

Path parameters

  • id
    string

Request parameters

  • name
    string
  • external_id
    stringnull
  • properties
    objectnull
  • tags
    array

Response


Example request

PATCH /api/projects/:project_id/accounts/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/accounts/:id/\
-d name="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"external_id": "string",
"properties": {
"csm": {
"id": 0,
"email": "string"
},
"account_executive": {
"id": 0,
"email": "string"
},
"account_owner": {
"id": 0,
"email": "string"
},
"stripe_customer_id": "string",
"hubspot_deal_id": "string",
"billing_id": "string",
"sfdc_id": "string",
"zendesk_id": "string",
"slack_channel_id": "string",
"usage_dashboard_link": "string"
},
"tags": [
"string"
],
"notebooks": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"updated_at": "2019-08-24T14:15:22Z"
}

Delete accounts

Required API key scopes

account:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/accounts/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/accounts/:id/

Example response

Status 204 No response body

Community questions